Package org.kapott.hbci.dialog

## Class HBCIDialogEnd

- java.lang.Object
- - org.kapott.hbci.dialog.AbstractRawHBCIDialog
  - - org.kapott.hbci.dialog.HBCIDialogEnd

All Implemented Interfaces:
  `RawHBCIDialog`

    public class HBCIDialogEnd
    extends AbstractRawHBCIDialog

Diese Klasse enthaelt das Dialog-Ende.

### Nested Class Summary

Nested Classes
`static class` `HBCIDialogEnd.Flag` Parametrisierende Flags fuer das Dialog-Ende.

### Constructor Summary

Constructors
`HBCIDialogEnd​(HBCIDialogEnd.Flag... flags)` ct.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `applyData​(DialogContext ctx)` Befuellt die Daten fuer die Nachricht.
`protected void` `checkResult​(DialogContext ctx)` Kann implementiert werden, um das Ergebnis des Dialogs zu pruefen.
`protected java.lang.String` `getActualTemplate​(DialogContext ctx)` Liefert das tatsaechlich zu verwendende Message-Template basierend auf dem Kontext.
`protected HBCIMsgStatus` `sendData​(DialogContext ctx)` Default-Implementierung fuer den Versand.

### Methods inherited from class org.kapott.hbci.dialog.AbstractRawHBCIDialog

`createSCARequest, execute, getSegmentVersion, getTemplate, setTemplate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIDialogEnd

    public HBCIDialogEnd​(HBCIDialogEnd.Flag... flags)

ct.

Parameters:
  `flags` - optionale Flags.

### Method Detail

#### applyData

    protected void applyData​(DialogContext ctx)

Description copied from class: `AbstractRawHBCIDialog`
Befuellt die Daten fuer die Nachricht.

Overrides:
  `applyData` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
See Also:
  `org.kapott.hbci.dialog.AbstractHBCIDialogInit#applyData(org.kapott.hbci.dialog.DialogContext)`

#### sendData

    protected HBCIMsgStatus sendData​(DialogContext ctx)

Description copied from class: `AbstractRawHBCIDialog`
Default-Implementierung fuer den Versand. Verschluesselung und Signierung findet nur statt, wenn es kein anonymer Dialog ist.

Overrides:
  `sendData` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
Returns:
  die Ergebnis-Daten.
See Also:
  `AbstractRawHBCIDialog.sendData(org.kapott.hbci.dialog.DialogContext)`

#### checkResult

    protected void checkResult​(DialogContext ctx)

Description copied from class: `AbstractRawHBCIDialog`
Kann implementiert werden, um das Ergebnis des Dialogs zu pruefen.

Overrides:
  `checkResult` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
See Also:
  `AbstractRawHBCIDialog.checkResult(org.kapott.hbci.dialog.DialogContext)`

#### getActualTemplate

    protected java.lang.String getActualTemplate​(DialogContext ctx)

Description copied from class: `AbstractRawHBCIDialog`
Liefert das tatsaechlich zu verwendende Message-Template basierend auf dem Kontext.

Overrides:
  `getActualTemplate` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
Returns:
  template das zu verwendende Message-Template.
See Also:
  `org.kapott.hbci.dialog.AbstractHBCIDialogInit#getActualTemplate(org.kapott.hbci.dialog.DialogContext)`